// Copyright 2024 Patial Tech (Ankit Patial).
// All rights reserved.

package uid

import (
	"github.com/google/uuid"
)

func NewUUID() (string, error) {
	id, err := uuid.NewV7()
	if err != nil {
		return "", err
	}
	return id.String(), nil
}
